# Copyright (C) 2025 Daniel McKnight - All Rights Reserved
from os.path import join, dirname

from setuptools import setup, find_packages


def get_requirements(requirements_filename: str):
    requirements_file = join(dirname(__file__), requirements_filename)
    with open(requirements_file, 'r', encoding='utf-8') as r:
        requirements = r.readlines()
    requirements = [r.strip() for r in requirements if r.strip()
                    and not r.strip().startswith("#")]
    return requirements

setup(
    name="site-mcknight-tech",
    author="Daniel McKnight",
    author_email="daniel@mcknight.tech",
    description="McKnight Tech Website",
    packages=find_packages(),
    include_package_data=True,
    package_data={"site_mcknight_tech": ["page_content/*"]},
    install_requires=get_requirements("requirements.txt"),
    entry_points={
        "console_scripts": ['launch-site=site_mcknight_tech.__main__:main']
    }
)